summaryrefslogtreecommitdiffstats
path: root/system-build/share/hooks/live/0010-disable-kexec-tools.hook.chroot
diff options
context:
space:
mode:
Diffstat (limited to 'system-build/share/hooks/live/0010-disable-kexec-tools.hook.chroot')
-rwxr-xr-xsystem-build/share/hooks/live/0010-disable-kexec-tools.hook.chroot16
1 files changed, 16 insertions, 0 deletions
diff --git a/system-build/share/hooks/live/0010-disable-kexec-tools.hook.chroot b/system-build/share/hooks/live/0010-disable-kexec-tools.hook.chroot
new file mode 100755
index 0000000..403d1d4
--- /dev/null
+++ b/system-build/share/hooks/live/0010-disable-kexec-tools.hook.chroot
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+# Disable kexec-tools
+
+if [ -e /sbin/kexec ]
+then
+ echo "kexec-tools kexec-tools/load_kexec boolean false" > /root/preseed
+
+ debconf-set-selections /root/preseed
+
+ rm -f /root/preseed
+
+ dpkg-reconfigure kexec-tools
+fi